# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "elfo-telemeter"
version = "0.1.5"
authors = ["Paul Loyd <pavelko95@gmail.com>"]
description = "A telemeter collecting metrics"
keywords = ["metrics", "telemetry", "prometheus"]
license = "MIT"
[dependencies.cow-utils]
version = "0.1.2"

[dependencies.elfo-core]
version = "0.1.21"

[dependencies.elfo-macros]
version = "0.1.9"

[dependencies.fxhash]
version = "0.2.1"

[dependencies.humantime-serde]
version = "1"

[dependencies.hyper]
version = "0.14"
features = ["server", "tcp", "http1"]
default-features = false

[dependencies.metrics]
version = "0.17"

[dependencies.metrics-util]
version = "0.10"

[dependencies.parking_lot]
version = "0.11"

[dependencies.quanta]
version = "0.9.2"

[dependencies.serde]
version = "1.0.120"
features = ["derive"]

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1"

[dependencies.tracing]
version = "0.1.25"
